Get an RFQ
curl --request GET \
--url https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"status": "draft",
"due_date": "2023-12-25",
"template": "<unknown>",
"token": {
"symbol": "<string>",
"name": "<string>",
"tracked_asset": "<string>"
},
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": [
"spot"
]
}
],
"created_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"draft_owner": {
"browser_id": "<string>",
"account": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"associated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"proposals": [
{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}
],
"permissions": {
"manage": true
}
}RFQ
Get an RFQ
Returns one RFQ with the proposals you may see. The RFQ owner is the user who created it; GlassMarkets staff can manage every RFQ. Members of an invited market-maker organization see the RFQ once it is no longer a draft.
Get an RFQ
curl --request GET \
--url https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"status": "draft",
"due_date": "2023-12-25",
"template": "<unknown>",
"token": {
"symbol": "<string>",
"name": "<string>",
"tracked_asset": "<string>"
},
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": [
"spot"
]
}
],
"created_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"draft_owner": {
"browser_id": "<string>",
"account": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"associated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"proposals": [
{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}
],
"permissions": {
"manage": true
}
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Path Parameters
Response
200 - application/json
draft- Draftactive- Activecompleted- Completedarchived- Archived
Available options:
draft, active, completed, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
All proposals for the RFQ owner; only your own for a bidder.
Show child attributes
Show child attributes
Show child attributes
Show child attributes

